Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillDoc

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

All Implemented Interfaces:
  `ContractIdable`

Direct Known Subclasses:
  `Bill`, `Invoice`

public class BillDoc extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDoc()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `BankAccount`
  `getBankAccount()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  Возвращает id договора
  `String`
  `getContractTitle()`
  `int`
  `getCorrection()`
  `Date`
  `getCreateDate()`
  `Document`
  `getDocument()`
  `String`
  `getFormatNumber()`
  `int`
  `getId()`
  `int`
  `getMm()`
  `int`
  `getNpid()`
  `int`
  `getNumber()`
  `int`
  `getNumberInMonth()`
  `int`
  `getNumberInYear()`
  `Organization`
  `getOrganization()`
  `List<PositionValue>`
  `getPositionList()`
  `String`
  `getRecipient()`
  `BigDecimal`
  `getSumm()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `int`
  `getUid()`
  Deprecated.
  `int`
  `getUserId()`
  Получить код создавшего пользователя
  `String`
  `getUserName()`
  `byte[]`
  `getXmlData()`
  `int`
  `getYy()`
  `void`
  `setAddress(String address)`
  `void`
  `setBankAccount(BankAccount bankAccount)`
  `void`
  `setContractComment(String contractComment)`
  `BillDoc`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCorrection(int correction)`
  `BillDoc`
  `setCreateDate(Date createDate)`
  `void`
  `setDocument(Document document)`
  `BillDoc`
  `setFormatNumber(String formatNumber)`
  `void`
  `setId(int id)`
  `BillDoc`
  `setMm(int mm)`
  `BillDoc`
  `setNpid(int npid)`
  `BillDoc`
  `setNumber(int number)`
  `BillDoc`
  `setNumberInMonth(int numberInMonth)`
  `BillDoc`
  `setNumberInYear(int numberInYear)`
  `void`
  `setOrganization(Organization organization)`
  `void`
  `setPositionList(List<PositionValue> positionList)`
  `void`
  `setRecipient(String recipient)`
  `BillDoc`
  `setSumm(BigDecimal summ)`
  `BillDoc`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `void`
  `setUid(int userId)`
  Deprecated.
  `void`
  `setUserId(int userId)`
  Установить код создавшего пользователя
  `void`
  `setUserName(String userName)`
  `void`
  `setXmlData(byte[] xmlData)`
  `BillDoc`
  `setYy(int yy)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillDoc

    public BillDoc()

- ## Method Details

  - ### getDocument

    public Document getDocument() throws Exception
    Throws:
      `Exception`

  - ### setDocument

    public void setDocument(Document document)

  - ### getXmlData

    public byte[] getXmlData()

  - ### setXmlData

    public void setXmlData(byte[] xmlData)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public BillDoc setNumber(int number)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getNumberInMonth

    public int getNumberInMonth()

  - ### setNumberInMonth

    public BillDoc setNumberInMonth(int numberInMonth)

  - ### getNumberInYear

    public int getNumberInYear()

  - ### setNumberInYear

    public BillDoc setNumberInYear(int numberInYear)

  - ### getFormatNumber

    public String getFormatNumber()

  - ### setFormatNumber

    public BillDoc setFormatNumber(String formatNumber)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public BillDoc setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getMm

    public int getMm()

  - ### setMm

    public BillDoc setMm(int mm)

  - ### getYy

    public int getYy()

  - ### setYy

    public BillDoc setYy(int yy)

  - ### getSumm

    public BigDecimal getSumm()

  - ### setSumm

    public BillDoc setSumm(BigDecimal summ)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public BillDoc setTypeId(int typeId)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String address)

  - ### getRecipient

    public String getRecipient()

  - ### setRecipient

    public void setRecipient(String recipient)

  - ### getUid

    @Deprecated public int getUid()
    Deprecated.

  - ### getUserId

    public int getUserId()
    Получить код создавшего пользователя

  - ### setUid

    @Deprecated public void setUid(int userId)
    Deprecated.

  - ### setUserId

    public void setUserId(int userId)
    Установить код создавшего пользователя

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getPositionList

    public List<PositionValue> getPositionList()

  - ### setPositionList

    public void setPositionList(List<PositionValue> positionList)

  - ### getCreateDate

    public Date getCreateDate()

  - ### setCreateDate

    public BillDoc setCreateDate(Date createDate)

  - ### setNpid

    public BillDoc setNpid(int npid)

  - ### getNpid

    public int getNpid()

  - ### getCorrection

    public int getCorrection()

  - ### setCorrection

    public void setCorrection(int correction)

  - ### getOrganization

    public Organization getOrganization()

  - ### setOrganization

    public void setOrganization(Organization organization)

  - ### getBankAccount

    public BankAccount getBankAccount()

  - ### setBankAccount

    public void setBankAccount(BankAccount bankAccount)